1 # Makefile.in generated by automake 1.11a from Makefile.am.
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 Free Software
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
18 # Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003, 2004, 2005,
19 # 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc.
21 # This program is free software; you can redistribute it and/or modify
22 # it under the terms of the GNU General Public License as published by
23 # the Free Software Foundation; either version 2, or (at your option)
26 # This program is distributed in the hope that it will be useful,
27 # but WITHOUT ANY WARRANTY; without even the implied warranty of
28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
29 # GNU General Public License for more details.
31 # You should have received a copy of the GNU General Public License
32 # along with this program. If not, see <http://www.gnu.org/licenses/>.
34 pkgdatadir = $(datadir)/@PACKAGE@
35 pkgincludedir = $(includedir)/@PACKAGE@
36 pkglibdir = $(libdir)/@PACKAGE@
37 pkglibexecdir = $(libexecdir)/@PACKAGE@
38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 install_sh_DATA = $(install_sh) -c -m 644
40 install_sh_PROGRAM = $(install_sh) -c
41 install_sh_SCRIPT = $(install_sh) -c
42 INSTALL_HEADER = $(INSTALL_DATA)
43 transform = $(program_transform_name)
50 build_triplet = @build@
51 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
52 $(srcdir)/aclocal.in $(srcdir)/automake.in $(srcdir)/defs.in \
53 $(srcdir)/parallel-tests.am
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/m4/amversion.m4 \
57 $(top_srcdir)/m4/auxdir.m4 $(top_srcdir)/m4/init.m4 \
58 $(top_srcdir)/m4/install-sh.m4 $(top_srcdir)/m4/lead-dot.m4 \
59 $(top_srcdir)/m4/missing.m4 $(top_srcdir)/m4/mkdirp.m4 \
60 $(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/runlog.m4 \
61 $(top_srcdir)/m4/sanity.m4 $(top_srcdir)/m4/silent.m4 \
62 $(top_srcdir)/m4/strip.m4 $(top_srcdir)/m4/substnot.m4 \
63 $(top_srcdir)/m4/tar.m4 $(top_srcdir)/configure.ac
64 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
66 mkinstalldirs = $(SHELL) $(top_srcdir)/lib/mkinstalldirs
67 CONFIG_CLEAN_FILES = defs aclocal-${APIVERSION} automake-${APIVERSION}
68 CONFIG_CLEAN_VPATH_FILES =
69 AM_V_GEN = $(am__v_GEN_$(V))
70 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
71 am__v_GEN_0 = @echo " GEN " $@;
72 AM_V_at = $(am__v_at_$(V))
73 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
77 # If stdout is a non-dumb tty, use colors. If test -t is not supported,
78 # then this fails; a conservative approach. Of course do not redirect
79 # stdout here, just stderr.
81 red=; grn=; lgn=; blu=; std=; \
82 test "X$(AM_COLOR_TESTS)" != Xno \
83 && test "X$$TERM" != Xdumb \
84 && { test "X$(AM_COLOR_TESTS)" = Xalways || test -t 1 2>/dev/null; } \
92 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
93 am__vpath_adj = case $$p in \
94 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
97 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
99 am__nobase_strip_setup = \
100 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
102 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
103 am__nobase_list = $(am__nobase_strip_setup); \
104 for p in $$list; do echo "$$p $$p"; done | \
105 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
106 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
107 if (++n[$$2] == $(am__install_max)) \
108 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
109 END { for (dir in files) print dir, files[dir] }'
111 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
112 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
113 # Restructured Text title and section.
114 am__rst_title = sed 's/.*/ & /;h;s/./=/g;p;x;p;g;p;s/.*//'
115 am__rst_section = sed 'p;s/./=/g;p;g'
116 # Put stdin (possibly several lines separated by ". ") in a box.
117 am__text_box = $(AWK) '{ \
118 n = split($$0, lines, "\\. "); max = 0; \
119 for (i = 1; i <= n; ++i) \
120 if (max < length(lines[i])) \
121 max = length(lines[i]); \
122 for (i = 0; i < max; ++i) line = line "="; \
124 for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
127 # Solaris 10 'make', and several other traditional 'make' implementations,
128 # pass "-e" to $(SHELL). This contradicts POSIX. Work around the problem
129 # by disabling -e (using the XSI extension "set +e") if it's set.
130 am__sh_e_setup = case $$- in *e*) set +e;; esac
131 # To be inserted before the command running the test. Creates the
132 # directory for the log if needed. Stores in $dir the directory
133 # containing $f, in $tst the test, in $log the log, and passes
134 # TESTS_ENVIRONMENT. Save and restore TERM around use of
135 # TESTS_ENVIRONMENT, in case that unsets it.
138 $(am__vpath_adj_setup) $(am__vpath_adj) \
139 srcdir=$(srcdir); export srcdir; \
141 am__trap='rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st'; \
142 trap "st=129; $$am__trap" 1; trap "st=130; $$am__trap" 2; \
143 trap "st=141; $$am__trap" 13; trap "st=143; $$am__trap" 15; \
144 am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`; \
145 test "x$$am__odir" = x. || $(MKDIR_P) "$$am__odir" || exit $$?; \
146 if test -f "./$$f"; then dir=./; \
147 elif test -f "$$f"; then dir=; \
148 else dir="$(srcdir)/"; fi; \
149 tst=$$dir$$f; log='$@'; __SAVED_TERM=$$TERM; \
151 RECHECK_LOGS = $(TEST_LOGS)
152 AM_RECURSIVE_TARGETS = check check-html recheck recheck-html
153 TEST_SUITE_LOG = test-suite.log
154 TEST_SUITE_HTML = $(TEST_SUITE_LOG:.log=.html)
155 TEST_EXTENSIONS = .test
156 am__test_logs1 = $(TESTS:=.log)
157 TEST_LOGS = $(am__test_logs1:.test.log=.log)
158 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
160 TEST_LOGS_TMP = $(TEST_LOGS:.log=.log-t)
161 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
164 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
165 APIVERSION = @APIVERSION@
166 AUTOCONF = @AUTOCONF@
167 AUTOHEADER = @AUTOHEADER@
168 AUTOMAKE = @AUTOMAKE@
170 CYGPATH_W = @CYGPATH_W@
178 HELP2MAN = @HELP2MAN@
180 INSTALL_DATA = @INSTALL_DATA@
181 INSTALL_PROGRAM = @INSTALL_PROGRAM@
182 INSTALL_SCRIPT = @INSTALL_SCRIPT@
183 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
187 LTLIBOBJS = @LTLIBOBJS@
188 MAKEINFO = @MAKEINFO@
190 MODIFICATION_DELAY = @MODIFICATION_DELAY@
192 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
193 PACKAGE_NAME = @PACKAGE_NAME@
194 PACKAGE_STRING = @PACKAGE_STRING@
195 PACKAGE_TARNAME = @PACKAGE_TARNAME@
196 PACKAGE_URL = @PACKAGE_URL@
197 PACKAGE_VERSION = @PACKAGE_VERSION@
198 PATH_SEPARATOR = @PATH_SEPARATOR@
200 PERL_THREADS = @PERL_THREADS@
201 SET_MAKE = @SET_MAKE@
206 abs_builddir = @abs_builddir@
207 abs_srcdir = @abs_srcdir@
208 abs_top_builddir = @abs_top_builddir@
209 abs_top_srcdir = @abs_top_srcdir@
210 am_AUTOCONF = @am_AUTOCONF@
211 am_AUTOHEADER = @am_AUTOHEADER@
212 am__leading_dot = @am__leading_dot@
214 am__untar = @am__untar@
217 build_alias = @build_alias@
218 build_cpu = @build_cpu@
219 build_os = @build_os@
220 build_vendor = @build_vendor@
221 builddir = @builddir@
223 datarootdir = @datarootdir@
226 exec_prefix = @exec_prefix@
227 host_alias = @host_alias@
229 includedir = @includedir@
231 install_sh = @install_sh@
233 libexecdir = @libexecdir@
234 localedir = @localedir@
235 localstatedir = @localstatedir@
238 oldincludedir = @oldincludedir@
240 pkgvdatadir = @pkgvdatadir@
242 program_transform_name = @program_transform_name@
245 sh_errexit_works = @sh_errexit_works@
246 sharedstatedir = @sharedstatedir@
248 sysconfdir = @sysconfdir@
249 target_alias = @target_alias@
250 top_build_prefix = @top_build_prefix@
251 top_builddir = @top_builddir@
252 top_srcdir = @top_srcdir@
282 MAINTAINERCLEANFILES = $(parallel_tests)
405 compile_f90_c_cxx.test \
406 compile_f_c_cxx.test \
519 distcleancheck.test \
615 instdir-python.test \
621 instfail-libtool.test \
627 instmany-python.test \
733 nobase-libtool.test \
774 parallel-tests.test \
775 parallel-tests2.test \
776 parallel-tests3.test \
777 parallel-tests4.test \
778 parallel-tests5.test \
779 parallel-tests6.test \
780 parallel-tests7.test \
781 parallel-tests8.test \
782 parallel-tests9.test \
783 parallel-tests10.test \
896 subdirbuiltsources.test \
1019 EXTRA_DIST = ChangeLog-old gen-parallel-tests $(TESTS)
1021 # Each test case depends on defs, aclocal, and automake.
1022 check_SCRIPTS = defs aclocal-$(APIVERSION) automake-$(APIVERSION)
1026 .SUFFIXES: .html .log .test
1027 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(srcdir)/parallel-tests.am $(am__configure_deps)
1028 @for dep in $?; do \
1029 case '$(am__configure_deps)' in \
1031 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
1032 && { if test -f $@; then exit 0; else break; fi; }; \
1036 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
1037 $(am__cd) $(top_srcdir) && \
1038 $(AUTOMAKE) --gnu tests/Makefile
1040 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1043 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
1045 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
1046 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
1049 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1050 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1052 $(top_srcdir)/configure: $(am__configure_deps)
1053 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1054 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
1055 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
1056 $(am__aclocal_m4_deps):
1057 defs: $(top_builddir)/config.status $(srcdir)/defs.in
1058 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1059 aclocal-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/aclocal.in
1060 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1061 automake-${APIVERSION}: $(top_builddir)/config.status $(srcdir)/automake.in
1062 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
1072 # To be appended to the command running the test. Handle the stdout
1073 # and stderr redirection, and catch the exit status.
1077 if test -n '$(DISABLE_HARD_ERRORS)' \
1078 && test $$estatus -eq 99; then \
1081 TERM=$$__SAVED_TERM; export TERM; \
1082 $(am__tty_colors); \
1084 case " $(XFAIL_TESTS) " in \
1085 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
1088 case $$estatus:$$xfailed in \
1089 0:XFAIL) col=$$red; res=XPASS;; \
1090 0:*) col=$$grn; res=PASS ;; \
1091 77:*) col=$$blu; res=SKIP ;; \
1092 99:*) col=$$red; res=FAIL ;; \
1093 *:XFAIL) col=$$lgn; res=XFAIL;; \
1094 *:*) col=$$red; res=FAIL ;; \
1096 echo "$${col}$$res$${std}: $$f"; \
1097 echo "$$res: $$f (exit: $$estatus)" | \
1098 $(am__rst_section) >$@; \
1102 $(TEST_SUITE_LOG): $(TEST_LOGS)
1103 @$(am__sh_e_setup); \
1104 list='$(TEST_LOGS)'; \
1105 results=`for f in $$list; do \
1106 read line < $$f && echo "$$line" || echo FAIL; \
1108 all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[ ]*//'`; \
1109 fail=`echo "$$results" | grep -c '^FAIL'`; \
1110 pass=`echo "$$results" | grep -c '^PASS'`; \
1111 skip=`echo "$$results" | grep -c '^SKIP'`; \
1112 xfail=`echo "$$results" | grep -c '^XFAIL'`; \
1113 xpass=`echo "$$results" | grep -c '^XPASS'`; \
1114 failures=`expr $$fail + $$xpass`; \
1115 all=`expr $$all - $$skip`; \
1116 if test "$$all" -eq 1; then tests=test; All=; \
1117 else tests=tests; All="All "; fi; \
1118 case fail=$$fail:xpass=$$xpass:xfail=$$xfail in \
1119 fail=0:xpass=0:xfail=0) \
1120 msg="$$All$$all $$tests passed. "; \
1122 fail=0:xpass=0:xfail=*) \
1123 msg="$$All$$all $$tests behaved as expected"; \
1124 if test "$$xfail" -eq 1; then xfailures=failure; \
1125 else xfailures=failures; fi; \
1126 msg="$$msg ($$xfail expected $$xfailures). "; \
1128 fail=*:xpass=0:xfail=*) \
1129 msg="$$fail of $$all $$tests failed. "; \
1131 fail=*:xpass=*:xfail=*) \
1132 msg="$$failures of $$all $$tests did not behave as expected"; \
1133 if test "$$xpass" -eq 1; then xpasses=pass; \
1134 else xpasses=passes; fi; \
1135 msg="$$msg ($$xpass unexpected $$xpasses). "; \
1138 echo >&2 "incorrect case"; exit 4;; \
1140 if test "$$skip" -ne 0; then \
1141 if test "$$skip" -eq 1; then \
1142 msg="$$msg($$skip test was not run). "; \
1144 msg="$$msg($$skip tests were not run). "; \
1148 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1152 echo ".. contents:: :depth: 2"; \
1154 for f in $$list; do \
1158 *) echo; cat $$f;; \
1161 } >$(TEST_SUITE_LOG).tmp; \
1162 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1163 if test "$$failures" -ne 0; then \
1164 msg="$${msg}See $(subdir)/$(TEST_SUITE_LOG). "; \
1165 if test -n "$(PACKAGE_BUGREPORT)"; then \
1166 msg="$${msg}Please report to $(PACKAGE_BUGREPORT). "; \
1169 test x"$$VERBOSE" = x || $$exit || cat $(TEST_SUITE_LOG); \
1170 $(am__tty_colors); \
1172 echo $(ECHO_N) "$$grn$(ECHO_C)"; \
1174 echo $(ECHO_N) "$$red$(ECHO_C)"; \
1176 echo "$$msg" | $(am__text_box); \
1177 echo $(ECHO_N) "$$std$(ECHO_C)"; \
1180 # Run all the tests.
1182 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1183 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1184 @list='$(TEST_LOGS)'; \
1185 list=`for f in $$list; do \
1186 test .log = $$f || echo $$f; \
1187 done | tr '\012\015' ' '`; \
1188 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$list"
1191 @list='$(RST2HTML) $$RST2HTML rst2html rst2html.py'; \
1192 for r2h in $$list; do \
1193 if ($$r2h --version) >/dev/null 2>&1; then \
1197 if test -z "$$R2H"; then \
1198 echo >&2 "cannot find rst2html, cannot create $@"; \
1204 # Be sure to run check first, and then to convert the result.
1205 # Beware of concurrent executions. Run "check" not "check-TESTS", as
1206 # check-SCRIPTS and other dependencies are rebuilt by the former only.
1207 # And expect check to fail.
1209 @if $(MAKE) $(AM_MAKEFLAGS) check; then \
1210 rv=0; else rv=$$?; \
1212 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4; \
1214 recheck recheck-html:
1215 @target=`echo $@ | sed 's,^re,,'`; \
1216 list='$(TEST_LOGS)'; \
1217 list=`for f in $$list; do \
1218 test -f $$f || continue; \
1219 if read line < $$f; then \
1220 case $$line in FAIL*|XPASS*) echo $$f;; esac; \
1221 else echo $$f; fi; \
1222 done | tr '\012\015' ' '`; \
1223 $(MAKE) $(AM_MAKEFLAGS) $$target AM_MAKEFLAGS='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
1225 @p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)
1227 distdir: $(DISTFILES)
1228 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1229 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1230 list='$(DISTFILES)'; \
1231 dist_files=`for file in $$list; do echo $$file; done | \
1232 sed -e "s|^$$srcdirstrip/||;t" \
1233 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1234 case $$dist_files in \
1235 */*) $(MKDIR_P) `echo "$$dist_files" | \
1236 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1239 for file in $$dist_files; do \
1240 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1241 if test -d $$d/$$file; then \
1242 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1243 if test -d "$(distdir)/$$file"; then \
1244 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1246 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1247 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1248 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1250 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1252 test -f "$(distdir)/$$file" \
1253 || cp -p $$d/$$file "$(distdir)/$$file" \
1258 $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
1259 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1264 install-exec: install-exec-am
1265 install-data: install-data-am
1266 uninstall: uninstall-am
1269 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1271 installcheck: installcheck-am
1273 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1274 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1275 `test -z '$(STRIP)' || \
1276 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1277 mostlyclean-generic:
1278 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1279 -test -z "$(TEST_LOGS_TMP)" || rm -f $(TEST_LOGS_TMP)
1280 -test -z "$(TEST_SUITE_HTML)" || rm -f $(TEST_SUITE_HTML)
1281 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1286 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1287 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1289 maintainer-clean-generic:
1290 @echo "This command is intended for maintainers to use"
1291 @echo "it deletes files that may require special tools to rebuild."
1292 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1295 clean-am: clean-generic clean-local mostlyclean-am
1297 distclean: distclean-am
1299 distclean-am: clean-am distclean-generic
1315 install-dvi: install-dvi-am
1321 install-html: install-html-am
1325 install-info: install-info-am
1331 install-pdf: install-pdf-am
1335 install-ps: install-ps-am
1341 maintainer-clean: maintainer-clean-am
1343 maintainer-clean-am: distclean-am maintainer-clean-generic
1345 mostlyclean: mostlyclean-am
1347 mostlyclean-am: mostlyclean-generic
1359 .MAKE: check-am check-html install-am install-strip recheck \
1362 .PHONY: all all-am check check-TESTS check-am check-html clean \
1363 clean-generic clean-local distclean distclean-generic distdir \
1364 dvi dvi-am html html-am info info-am install install-am \
1365 install-data install-data-am install-dvi install-dvi-am \
1366 install-exec install-exec-am install-html install-html-am \
1367 install-info install-info-am install-man install-pdf \
1368 install-pdf-am install-ps install-ps-am install-strip \
1369 installcheck installcheck-am installdirs maintainer-clean \
1370 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1371 pdf-am ps ps-am recheck recheck-html uninstall uninstall-am
1374 $(srcdir)/parallel-tests.am: gen-parallel-tests Makefile.am
1375 $(AM_V_GEN)(cd $(srcdir) && $(SHELL) ./gen-parallel-tests) >$@
1377 $(parallel_tests): Makefile.am
1378 $(AM_V_at)rm -f $@ $@-t
1379 $(AM_V_GEN)input=`echo $@ | sed 's,.*/,,; s,-p.test$$,.test,'`; \
1380 { echo '#!/bin/sh'; \
1381 echo '# DO NOT EDIT! GENERATED AUTOMATICALLY!'; \
1383 echo '# Ensure proper definition of $$srcdir.'; \
1384 echo 'am_skip_defs=yes'; \
1385 echo '. ./defs || exit 99'; \
1386 echo 'test -n "$$srcdir" || exit 99 # sanity check'; \
1388 echo "# Run the test with Automake's parallel-tests driver enabled."; \
1389 echo 'parallel_tests=yes'; \
1390 echo "if test -f \"./$$input\"; then"; \
1391 echo " . \"./$$input\""; \
1393 echo " . \"\$$srcdir/$$input\""; \
1396 $(AM_V_at)chmod a+rx $@-t && mv -f $@-t $@
1398 clean-local: clean-local-check
1399 .PHONY: clean-local-check
1401 -set x *.dir; shift; \
1402 if test "$$#,$$1" = "1,*.dir"; then \
1403 : there is no test directory to clean; \
1405 find "$$@" -type d '!' -perm -200 -exec chmod u+w {} ';'; \
1409 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1410 # Otherwise a system limit (for SysV at least) may be exceeded.